From 6a6fdd8e215b579ed4404e85b3d43ce9fb4f526d Mon Sep 17 00:00:00 2001
From: Mark Dilger <mark.dilger@enterprisedb.com>
Date: Mon, 27 Sep 2021 12:25:47 -0700
Subject: [PATCH v1 3/3] Harden and enable bloom TAP test

Create a physical replication slot between primary and standby that
was missing in contrib/bloom's wal TAP test.  This test was disabled
with a comment about some buildfarm animals failing.  Enable the
test to see if the buildfarm will now be stable.
---
 contrib/bloom/Makefile     | 4 +---
 contrib/bloom/t/001_wal.pl | 3 +++
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/contrib/bloom/Makefile b/contrib/bloom/Makefile
index 6d7a612fe4..8a781e4388 100644
--- a/contrib/bloom/Makefile
+++ b/contrib/bloom/Makefile
@@ -16,9 +16,7 @@ PGFILEDESC = "bloom access method - signature file based index"
 
 REGRESS = bloom
 
-# Disable TAP tests for this module for now, as these are unstable on several
-# buildfarm environments.
-# TAP_TESTS = 1
+TAP_TESTS = 1
 
 ifdef USE_PGXS
 PG_CONFIG = pg_config
diff --git a/contrib/bloom/t/001_wal.pl b/contrib/bloom/t/001_wal.pl
index 55ad35926f..ef5f8b5283 100644
--- a/contrib/bloom/t/001_wal.pl
+++ b/contrib/bloom/t/001_wal.pl
@@ -46,6 +46,8 @@ SELECT * FROM tst WHERE i = 7 AND t = 'e';
 $node_primary = PostgresNode->new('primary');
 $node_primary->init(allows_streaming => 1);
 $node_primary->start;
+$node_primary->safe_psql('postgres',
+	"SELECT pg_create_physical_replication_slot('standby')");
 my $backup_name = 'my_backup';
 
 # Take backup
@@ -55,6 +57,7 @@ $node_primary->backup($backup_name);
 $node_standby = PostgresNode->new('standby');
 $node_standby->init_from_backup($node_primary, $backup_name,
 	has_streaming => 1);
+$node_standby->append_conf('postgresql.conf', "primary_slot_name = 'standby'");
 $node_standby->start;
 
 # Create some bloom index on primary
-- 
2.21.1 (Apple Git-122.3)

